Custom Field Table
The custom field table resource.
Basehttps://rest.carbon.ms/customFieldTable
GET
/customFieldTableList custom field tables
Retrieve a paginated list of custom field tables. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/customFieldTable
curl --request GET \
--url 'https://rest.carbon.ms/customFieldTable?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"table": "string",
"module": "string",
"name": "Example"
}
]GET
/customFieldTableRetrieve a custom field table
Fetch a single custom field table by filtering on `table`.
Query parameters
tablestringMatch on the custom field table's `table`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/customFieldTable
curl --request GET \
--url 'https://rest.carbon.ms/customFieldTable?table=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"table": "string",
"module": "string",
"name": "Example"
}POST
/customFieldTableCreate a custom field table
Create a new custom field table.
Body parameters
modulestringrequirednamestringrequiredPOSThttps://rest.carbon.ms/customFieldTable
curl --request POST \
--url https://rest.carbon.ms/customFieldTable \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"module":"string","name":"Example"}'Response
{
"table": "string",
"module": "string",
"name": "Example"
}PATCH
/customFieldTableUpdate a custom field table
Update an existing custom field table, matched on `table`.
Body parameters
modulestringrequirednamestringrequiredPATCHhttps://rest.carbon.ms/customFieldTable
curl --request PATCH \
--url 'https://rest.carbon.ms/customFieldTable?table=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"module":"string"}'Response
{
"table": "string",
"module": "string",
"name": "Example"
}DELETE
/customFieldTableDelete a custom field table
Delete a custom field table, matched on `table`. Returns 204 No Content.
Query parameters
tablestringThe `table` of the custom field table to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/customFieldTable
curl --request DELETE \
--url 'https://rest.carbon.ms/customFieldTable?table=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content